Subject: Re: [PATCH v2 0/4] odb: support ODB source specific transaction handling

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 4 Feb 2026 07:25:56 +0100

On Mon, Feb 02, 2026 at 05:16:11PM -0800, Junio C Hamano wrote:
> Justin Tobler <[email-masked]> writes:
> 
> > Changes since V1:
> >
> > - Renamed the files transaction type to be `odb_transaction_files`.
> >   Associated functions were also renamed accordingly.
> > - Updated commit messages.
> > - The `tmp_objdir` subsystem has been left unchange in the version. In a
> >   followup series, I plan to couple tmpdirs directly to ODB files
> >   transactions.
> 
> Ah, I was wondering why the changes are so small (it looked
> essentially s/loose/files/ and nothing else to me), but if we are
> leaving the tmp_objdir stuff out of the scope (which is sensible),
> then there aren't much left to do relative to the previous
> iteration.

Yeah, agreed. As long as there is a subsequent patch series that fixes
the `tmp_objdir` thing I'm happy. It'd be a no-op refactoring for now
anyway given that we always write via the temporary object directory,
but it's a good cleanup to do on top.

Anyway, I'm happy with the status quo of this patch series, thanks!

Patrick